JythonAntTask (FreeMarker 2.3.35 API)
Description: declaration: package: freemarker.ext.ant, class: JythonAntTask

Package freemarker.ext.ant

# Class JythonAntTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
freemarker.ext.ant.JythonAntTask

public class JythonAntTask extends org.apache.tools.ant.Task
Used internally, public for technical reasons only.

This is an Ant sub-task of the `FreemarkerXmlTask` task.

Warning! It must not be statically linked with Jython classes, so users can use the XML ant task even if Jython is not installed.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.Task

  `description, location, target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JythonAntTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addText​(String text)`
  `void`
  `execute​(Map vars)`
  `void`
  `setFile​(File scriptFile)`

  ### Methods inherited from class org.apache.tools.ant.Task

  `execute, getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `getProject, setProject`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JythonAntTask

    public JythonAntTask()

- ## Method Details

  - ### setFile

    public void setFile​(File scriptFile) throws org.apache.tools.ant.BuildException
    Throws:
      `org.apache.tools.ant.BuildException`

  - ### addText

    public void addText​(String text)

  - ### execute

    public void execute​(Map vars) throws org.apache.tools.ant.BuildException
    Throws:
      `org.apache.tools.ant.BuildException`